#Test_Converter_Römische_Zahlen

import unittest
from abc import ABC, abstractmethod
#from muhamed_directory.other.alma.test2converter import RomanNumber as Alma
#from muhamed_directory.other.daniel.converter import Converter as Dani
#from muhamed_directory.other.hatice.converter import RomanNumber as Hati
#from muhamed_directory.other.wasili.TDD_Converter import RomanNumber as was
from muhamed_directory.other.orlando.RomanConverter import int_to_roman as Lando

class IStringCalculator(ABC):
    @abstractmethod
    def add(self, numbers: str) -> int:
        pass

class Converter(IStringCalculator):
    @staticmethod
    def convert(n: int) -> str:
        roman_numerals = {
            1000: "M", 900: "CM", 500: "D", 400: "CD",
            100: "C", 90: "XC", 50: "L", 40: "XL",
            10: "X", 9: "IX", 5: "V", 4: "IV", 1: "I"
        }
        result = ""
        for value in sorted(roman_numerals.keys(), reverse=True):
            while n >= value:
                result += roman_numerals[value]
                n -= value
        return result

    
class TestRomanConverter(unittest.TestCase):
    
    def setUp(self):
        self.Converter = Lando

    def test_1(self):
        self.assertEqual(self.Converter.int_to_roman(1), "I")

    def test_10(self):
        self.assertEqual(self.calculator.roman_to_int(10), "X")

    def test_21(self):
        self.assertEqual(self.calculator.roman_to_int(21), "XXI")

    def test_50(self):
        self.assertEqual(self.calculator.roman_to_int(50), "L")

    def test_100(self):
        self.assertEqual(self.calculator.roman_to_int(100), "C")

    def test_1000(self):
        self.assertEqual(self.calculator.roman_to_int(1000), "M")

    def test_1999(self):
        self.assertEqual(self.calculator.roman_to_int(1999), "MCMXCIX")

if __name__ == "__main__":
    unittest.main()